/*!
 * Copyright (c) Microsoft Corporation and contributors. All rights reserved.
 * Licensed under the MIT License.
 */
/**
 * Check if the package.json defines a Fluid package.
 *
 * @deprecated in favor of {@link @fluidframework/container-definitions#isFluidPackage}
 * to have code loading modules in same package.
 *
 * @param pkg - The package json data to check if it is a Fluid package.
 * @internal
 */
export const isFluidPackage = (pkg) => typeof pkg === "object" &&
    typeof pkg?.name === "string" &&
    typeof pkg?.fluid === "object";
// eslint-disable-next-line jsdoc/require-description
/**
 * @deprecated in favor of {@link @fluidframework/container-definitions#isFluidCodeDetails}
 * to have code loading modules in same package.
 * @internal
 */
export const isFluidCodeDetails = (details) => {
    const maybeCodeDetails = details;
    return (typeof maybeCodeDetails === "object" &&
        (typeof maybeCodeDetails?.package === "string" ||
            isFluidPackage(maybeCodeDetails?.package)) &&
        (maybeCodeDetails?.config === undefined || typeof maybeCodeDetails?.config === "object"));
};
/**
 * @deprecated in favor of {@link @fluidframework/container-definitions#IFluidCodeDetailsComparer}
 * to have code loading modules in same package.
 * @internal
 */
export const IFluidCodeDetailsComparer = "IFluidCodeDetailsComparer";
//# sourceMappingURL=fluidPackage.js.map